Holger's Java API

## com.antelmann.net.mail
Class IMAPBackup.ZipDirArchiver

    java.lang.Object
      com.antelmann.net.mail.IMAPBackup.ZipDirArchiver

All Implemented Interfaces:
  Handler<javax.mail.Message,Exception>, Closeable

Enclosing class:
  IMAPBackup

    public static class IMAPBackup.ZipDirArchiver

extends Object
implements Handler<javax.mail.Message,Exception>, Closeable

Constructor Summary
`IMAPBackup.ZipDirArchiver(File dir, boolean useCounter)`

Method Summary
`void` `close()`
`void` `handle(Object callbackSource, javax.mail.Message msg)` called by an object (for example some parser) when an item is observed that ought to be handled by this implementation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IMAPBackup.ZipDirArchiver

    public IMAPBackup.ZipDirArchiver(File dir,
                                     boolean useCounter)

Method Detail

### handle

    public void handle(Object callbackSource,
                       javax.mail.Message msg)
                throws Exception

  Description copied from interface: `Handler`
  called by an object (for example some parser) when an item is observed that ought to be handled by this implementation

  Specified by:
    `handle` in interface `Handler<javax.mail.Message,Exception>`
  Parameters:
    `callbackSource` - the object that initiated this call-back
    `msg` - the item to be handled by this instance
  Throws:
    `Exception`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads